import { Injectable } from '@angular/core';
import { MainService } from 'src/app/services/main.service';

@Injectable({
  providedIn: 'root'
})
export class BuildingInspectionRateStatisticsService {
  constructor(
    private mainService: MainService,
  ) { }

  // 列表-查
  query(postData) {
    return this.mainService.postReportBuilding("inspect", postData);
  }

  // 字典
  getDictionary(type) {
    return this.mainService.getDictionary("list", type);
  }

  // 科室
  getDeparts(postData) {
    return this.mainService.getFetchDataList("data", "department", postData);
  }

  // 楼栋
  getBuildingList(postData) {
    return this.mainService.getFetchDataList("simple/data", "building", postData);
  }

  // 导出
  exportReport(postData) {
    return this.mainService.exportReport("buildingInspectRate", postData);
  }
}



